SpriteLibrary

Sprite SetSpriteDirectionToPoint Method

Sets the Sprite Moving towards a given point. You are responsible to do something with it once it gets there. If you want it to automatically stop upon reaching it, use MoveTo instead. Actually, the MoveTo function works a lot better than this one. Because of integer rounding and a few other things, this function is a little bit imprecise. If you send it towards a point, it will go in that general direction. The MoveTo function will perpetually recalculate its way to the destination point and actually reach that point. SetSpriteDirectionToPoint will sort-of head in the direction of the point. But MoveTo will go to that point.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public void SetSpriteDirectionToPoint(
    	Point ImagePointDestination
    )

#### Parameters

ImagePointDestination
  Type: System.Drawing
  Point
  The destination, based off a point on the background image, that we send the sprite towards.

See Also

#### Reference

Sprite Class
SpriteLibrary Namespace